MBSTOWCS(3)

NAME
mbstowcs - convert a multibyte string to a wide character string.

SYNOPSIS
#include <stdlib.h>

size_t mbstowcs(wchar_t *pwcs, const char *s, size_t n);

DESCRIPTION
The mbstowcs() function converts a sequence of multibyte characters from the array s into a sequence of wide characters and stores up to n wide characters in the array pwcs.

RETURN VALUE
mbstowcs() returns the number of wide characters stored or -1 if s contains an invalid multibyte character.

CONFORMING TO
SVID 3, ISO 9899

SEE ALSO
mblen(3), mbtowc(3), wcstombs(3), wctomb(3)